	.text
#APP
	memmove = __GI_memmove
	memset = __GI_memset
	memcpy = __GI_memcpy
	.section	.rodata.str1.8,"aMS",@progbits,1
	.align 8
.LC0:
	.string	"/root/wip/nyanglibc/fork/iconv/gconv_conf.c"
	.section	.rodata.str1.1,"aMS",@progbits,1
.LC1:
	.string	"result == NULL"
.LC2:
	.string	"default_gconv_path[0] == '/'"
.LC3:
	.string	":"
.LC4:
	.string	"elem != NULL"
.LC5:
	.string	"cwd != NULL"
#NO_APP
	.text
	.p2align 4,,15
	.type	__gconv_get_path, @function
__gconv_get_path:
	pushq	%rbp
	movq	%rsp, %rbp
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$56, %rsp
	movq	__gconv_path_elem@GOTPCREL(%rip), %rax
	cmpq	$0, (%rax)
	jne	.L28
	movq	__gconv_path_envvar(%rip), %rbx
	movq	default_gconv_path_bytes_n@GOTPCREL(%rip), %rax
	testq	%rbx, %rbx
	movq	(%rax), %r12
	je	.L29
	movq	%rbx, %rdi
	call	__GI_strlen
	leaq	1(%r12,%rax), %r14
	movq	%rbx, %rsi
	movq	%rax, %rdx
	leaq	30(%r14), %rcx
	andq	$-16, %rcx
	subq	%rcx, %rsp
	leaq	15(%rsp), %rdi
	andq	$-16, %rdi
	movq	%rdi, -56(%rbp)
	call	__GI_mempcpy@PLT
	movq	default_gconv_path@GOTPCREL(%rip), %rbx
	leaq	1(%rax), %rdi
	movq	%r12, %rdx
	movb	$58, (%rax)
	movq	%rbx, %rsi
	call	__GI_memcpy@PLT
	xorl	%esi, %esi
	xorl	%edi, %edi
	call	__GI___getcwd
	testq	%rax, %rax
	movq	%rax, %r13
	je	.L18
	movq	%rax, %rdi
	call	__GI_strlen
	movq	%rax, -80(%rbp)
.L6:
	cmpb	$47, (%rbx)
	jne	.L30
	movq	-56(%rbp), %rax
	movl	$58, %esi
	movq	%rax, %rdi
	movq	%rax, -96(%rbp)
	call	__GI_strchr
	movq	%rax, %rbx
	movq	-80(%rbp), %rax
	addq	$1, %rax
	testq	%rbx, %rbx
	movq	%rax, -72(%rbp)
	je	.L19
	movl	$1, %r15d
	xorl	%ecx, %ecx
	jmp	.L10
	.p2align 4,,10
	.p2align 3
.L21:
	movq	%rax, %rbx
.L10:
	leal	1(%r15), %eax
	addq	$1, %rcx
	cmpq	%rcx, %rbx
	movl	%eax, %r12d
	je	.L9
	leal	2(%r15), %r12d
	movl	%eax, %r15d
.L9:
	leaq	1(%rbx), %rdi
	movl	$58, %esi
	call	__GI_strchr
	testq	%rax, %rax
	movq	%rbx, %rcx
	jne	.L21
	movslq	%r12d, %rdi
	leal	-1(%r15), %r8d
	movslq	%r15d, %r12
	movq	-72(%rbp), %r15
	movq	%rdi, %rax
	movslq	%r8d, %rdi
	salq	$4, %rax
	imulq	%rdi, %r15
.L8:
	leaq	(%rax,%r12), %rdi
	addq	%r14, %rdi
	addq	%r15, %rdi
	call	malloc@PLT
	testq	%rax, %rax
	movq	%rax, -88(%rbp)
	je	.L22
	addq	$1, %r12
	movq	-96(%rbp), %rdi
	leaq	.LC3(%rip), %rsi
	salq	$4, %r12
	leaq	(%rax,%r12), %r14
	movq	__gconv_max_path_elem_len@GOTPCREL(%rip), %rax
	movq	$0, (%rax)
	leaq	-56(%rbp), %rax
	movq	%rax, %rdx
	movq	%rax, -72(%rbp)
	call	__GI___strtok_r
	testq	%rax, %rax
	movq	%rax, %r15
	je	.L31
	movq	-88(%rbp), %rbx
	xorl	%r12d, %r12d
	.p2align 4,,10
	.p2align 3
.L17:
	movq	%r14, (%rbx)
	cmpb	$47, (%r15)
	je	.L13
	testq	%r13, %r13
	je	.L32
	movq	-80(%rbp), %rdx
	movq	%r14, %rdi
	movq	%r13, %rsi
	call	__GI_mempcpy@PLT
	leaq	1(%rax), %r14
	movb	$47, (%rax)
.L13:
	movq	%r15, %rsi
	movq	%r14, %rdi
	call	__GI_stpcpy@PLT
	cmpb	$47, -1(%rax)
	je	.L15
	movb	$47, (%rax)
	addq	$1, %rax
.L15:
	movq	__gconv_max_path_elem_len@GOTPCREL(%rip), %rcx
	movq	%rax, %rdx
	subq	(%rbx), %rdx
	cmpq	(%rcx), %rdx
	movq	%rdx, 8(%rbx)
	jbe	.L16
	movq	%rdx, (%rcx)
.L16:
	movq	-72(%rbp), %rdx
	leaq	.LC3(%rip), %rsi
	xorl	%edi, %edi
	movb	$0, (%rax)
	leaq	1(%rax), %r14
	addl	$1, %r12d
	addq	$16, %rbx
	call	__GI___strtok_r
	testq	%rax, %rax
	movq	%rax, %r15
	jne	.L17
	movslq	%r12d, %r12
	salq	$4, %r12
	addq	-88(%rbp), %r12
	movq	$0, (%r12)
	movq	$0, 8(%r12)
.L11:
	movq	-88(%rbp), %rsi
	movq	__gconv_path_elem@GOTPCREL(%rip), %rax
	movq	%r13, %rdi
	movq	%rsi, (%rax)
	call	free@PLT
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	ret
	.p2align 4,,10
	.p2align 3
.L22:
	leaq	empty_path_elem(%rip), %rax
	movq	%rax, -88(%rbp)
	jmp	.L11
	.p2align 4,,10
	.p2align 3
.L29:
	movq	default_gconv_path@GOTPCREL(%rip), %rbx
	movq	%rbx, %rax
.L4:
	movl	(%rax), %ecx
	addq	$4, %rax
	leal	-16843009(%rcx), %edx
	notl	%ecx
	andl	%ecx, %edx
	andl	$-2139062144, %edx
	je	.L4
	movl	%edx, %ecx
	movq	%r12, %r14
	shrl	$16, %ecx
	testl	$32896, %edx
	cmove	%ecx, %edx
	leaq	2(%rax), %rcx
	movl	%edx, %esi
	cmove	%rcx, %rax
	addb	%dl, %sil
	movq	%rbx, %rsi
	sbbq	$3, %rax
	xorl	%r13d, %r13d
	subq	%rbx, %rax
	leaq	1(%rax), %rdx
	addq	$31, %rax
	andq	$-16, %rax
	subq	%rax, %rsp
	leaq	15(%rsp), %rdi
	andq	$-16, %rdi
	call	__GI_memcpy@PLT
	movq	$0, -80(%rbp)
	movq	%rax, -56(%rbp)
	jmp	.L6
	.p2align 4,,10
	.p2align 3
.L19:
	xorl	%r15d, %r15d
	movl	$1, %r12d
	movl	$32, %eax
	jmp	.L8
	.p2align 4,,10
	.p2align 3
.L18:
	movq	$0, -80(%rbp)
	jmp	.L6
.L32:
	leaq	__PRETTY_FUNCTION__.11964(%rip), %rcx
	leaq	.LC0(%rip), %rsi
	leaq	.LC5(%rip), %rdi
	movl	$507, %edx
	call	__GI___assert_fail
.L30:
	leaq	__PRETTY_FUNCTION__.11964(%rip), %rcx
	leaq	.LC0(%rip), %rsi
	leaq	.LC2(%rip), %rdi
	movl	$474, %edx
	call	__GI___assert_fail
.L28:
	leaq	__PRETTY_FUNCTION__.11964(%rip), %rcx
	leaq	.LC0(%rip), %rsi
	leaq	.LC1(%rip), %rdi
	movl	$439, %edx
	call	__GI___assert_fail
.L31:
	leaq	__PRETTY_FUNCTION__.11964(%rip), %rcx
	leaq	.LC0(%rip), %rsi
	leaq	.LC4(%rip), %rdi
	movl	$501, %edx
	call	__GI___assert_fail
	.size	__gconv_get_path, .-__gconv_get_path
	.section	__libc_freeres_fn,"ax",@progbits
	.p2align 4,,15
	.type	free_mem, @function
free_mem:
	movq	__gconv_path_elem@GOTPCREL(%rip), %rax
	movq	(%rax), %rdi
	testq	%rdi, %rdi
	je	.L33
	leaq	empty_path_elem(%rip), %rax
	cmpq	%rax, %rdi
	je	.L33
	jmp	free@PLT
	.p2align 4,,10
	.p2align 3
.L33:
	rep ret
	.size	free_mem, .-free_mem
	.text
	.p2align 4,,15
	.type	insert_module, @function
insert_module:
	pushq	%r15
	pushq	%r14
	movl	%esi, %r14d
	pushq	%r13
	pushq	%r12
	movq	%rdi, %r13
	pushq	%rbp
	pushq	%rbx
	leaq	__gconv_modules_db(%rip), %rbp
	subq	$8, %rsp
	jmp	.L42
	.p2align 4,,10
	.p2align 3
.L52:
	movq	0(%r13), %r12
	movq	(%rbx), %rsi
	movq	%r12, %rdi
	call	__GI_strcmp
	testl	%eax, %eax
	je	.L70
	leaq	32(%rbx), %rbp
	addq	$48, %rbx
	testl	%eax, %eax
	cmovns	%rbx, %rbp
.L42:
	movq	0(%rbp), %rbx
	testq	%rbx, %rbx
	jne	.L52
.L45:
	movq	%r13, 0(%rbp)
.L41:
	addq	$8, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	ret
	.p2align 4,,10
	.p2align 3
.L70:
	movq	8(%r13), %r15
	movq	8(%rbx), %rsi
	movq	%r15, %rdi
	call	__GI_strcmp
	testl	%eax, %eax
	je	.L71
	.p2align 4,,10
	.p2align 3
.L46:
	leaq	40(%rbx), %rbp
	movq	40(%rbx), %rbx
	testq	%rbx, %rbx
	je	.L45
	movq	(%rbx), %rsi
	movq	%r12, %rdi
	call	__GI_strcmp
	testl	%eax, %eax
	jne	.L46
	movq	8(%rbx), %rsi
	movq	%r15, %rdi
	call	__GI_strcmp
	testl	%eax, %eax
	jne	.L46
.L71:
	movl	16(%rbx), %eax
	cmpl	%eax, 16(%r13)
	jl	.L53
	je	.L72
.L48:
	testl	%r14d, %r14d
	je	.L41
	movq	%r13, %rdi
.L69:
	addq	$8, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	jmp	free@PLT
	.p2align 4,,10
	.p2align 3
.L72:
	movl	20(%rbx), %eax
	cmpl	%eax, 20(%r13)
	jge	.L48
.L53:
	movq	32(%rbx), %rax
	movq	%rbx, %rdi
	movq	%rax, 32(%r13)
	movq	48(%rbx), %rax
	movq	%rax, 48(%r13)
	movq	40(%rbx), %rax
	movq	%rax, 40(%r13)
	movq	%r13, 0(%rbp)
	jmp	.L69
	.size	insert_module, .-insert_module
	.p2align 4,,15
	.type	detect_conflict, @function
detect_conflict:
	pushq	%rbp
	pushq	%rbx
	subq	$8, %rsp
	movq	__gconv_modules_db(%rip), %rbx
	testq	%rbx, %rbx
	je	.L78
	movq	%rdi, %rbp
	jmp	.L77
	.p2align 4,,10
	.p2align 3
.L75:
	movq	48(%rbx), %rbx
	testq	%rbx, %rbx
	je	.L78
.L77:
	movq	(%rbx), %rsi
	movq	%rbp, %rdi
	call	__GI_strcmp
	testl	%eax, %eax
	je	.L79
	jns	.L75
	movq	32(%rbx), %rbx
	testq	%rbx, %rbx
	jne	.L77
.L78:
	addq	$8, %rsp
	xorl	%eax, %eax
	popq	%rbx
	popq	%rbp
	ret
	.p2align 4,,10
	.p2align 3
.L79:
	addq	$8, %rsp
	movl	$1, %eax
	popq	%rbx
	popq	%rbp
	ret
	.size	detect_conflict, .-detect_conflict
	.p2align 4,,15
	.type	add_module.isra.0, @function
add_module.isra.0:
	pushq	%rbp
	movq	%rdx, %r8
	movq	%rsi, %r9
	movq	%rsp, %rbp
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	movq	%rdi, %r12
	pushq	%rbx
	subq	$72, %rsp
	movsbq	(%rdi), %rax
	movq	104+_nl_C_locobj(%rip), %rdx
	testb	$32, 1(%rdx,%rax,2)
	je	.L150
	.p2align 4,,10
	.p2align 3
.L84:
	addq	$1, %r12
	movsbq	(%r12), %rax
	testb	$32, 1(%rdx,%rax,2)
	movq	%rax, %rsi
	jne	.L84
.L83:
	testb	%sil, %sil
	je	.L82
	movq	120+_nl_C_locobj(%rip), %rsi
	movq	%r12, %rbx
	jmp	.L86
	.p2align 4,,10
	.p2align 3
.L153:
	testb	$32, 1(%rdx,%rax,2)
	jne	.L152
	movq	%rdi, %rbx
.L86:
	movl	(%rsi,%rax,4), %eax
	leaq	1(%rbx), %rdi
	movb	%al, (%rbx)
	movsbq	1(%rbx), %rax
	testb	%al, %al
	jne	.L153
.L82:
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	ret
	.p2align 4,,10
	.p2align 3
.L152:
	movsbq	1(%rdi), %rax
	addq	$2, %rbx
	movb	$0, (%rdi)
	movq	%rbx, %r15
	testb	$32, 1(%rdx,%rax,2)
	movq	%rax, %rdi
	je	.L89
	.p2align 4,,10
	.p2align 3
.L88:
	addq	$1, %r15
	movsbq	(%r15), %rax
	testb	$32, 1(%rdx,%rax,2)
	movq	%rax, %rdi
	jne	.L88
.L89:
	testb	%dil, %dil
	movq	%rbx, %r13
	jne	.L90
	jmp	.L82
	.p2align 4,,10
	.p2align 3
.L155:
	testb	$32, 1(%rdx,%rax,2)
	jne	.L154
	movq	%r10, %r13
.L90:
	movl	(%rsi,%rax,4), %eax
	leaq	1(%r13), %r10
	addq	$1, %r15
	movb	%al, -1(%r10)
	movsbq	(%r15), %rax
	testb	%al, %al
	jne	.L155
	jmp	.L82
	.p2align 4,,10
	.p2align 3
.L154:
	addq	$2, %r13
	movb	$0, (%r10)
	.p2align 4,,10
	.p2align 3
.L92:
	addq	$1, %r15
	movsbq	(%r15), %rsi
	testb	$32, 1(%rdx,%rsi,2)
	movq	%rsi, %rax
	jne	.L92
	testb	%sil, %sil
	je	.L108
	movq	%r13, %r14
	jmp	.L94
	.p2align 4,,10
	.p2align 3
.L157:
	movsbq	%al, %rdi
	testb	$32, 1(%rdx,%rdi,2)
	jne	.L156
	movq	%rsi, %r14
.L94:
	leaq	1(%r14), %rsi
	addq	$1, %r15
	movb	%al, -1(%rsi)
	movzbl	(%r15), %eax
	testb	%al, %al
	jne	.L157
.L93:
	leaq	1(%rsi), %r14
	movb	$0, (%rsi)
	movl	$1, %r11d
.L101:
	movzbl	1(%r10), %eax
	testb	%al, %al
	je	.L82
	cmpb	$47, %al
	movl	$0, %eax
	movl	$3, %r15d
	cmove	%rax, %r8
	movq	%r14, %rax
	subq	%r13, %rax
	cmpq	$3, %rax
	movq	%rax, -104(%rbp)
	jle	.L97
	xorl	%r15d, %r15d
	cmpl	$7303982, -4(%r14)
	setne	%r15b
	leal	(%r15,%r15,2), %r15d
.L97:
	movq	%rbx, %rax
	movq	%r12, %rdi
	movq	%r8, -88(%rbp)
	subq	%r12, %rax
	movq	%r9, -80(%rbp)
	movl	%r11d, -72(%rbp)
	movq	%rax, %rsi
	movl	%ecx, -92(%rbp)
	movq	%rax, -112(%rbp)
	call	__GI___strnlen
	leaq	31(%rax), %rdx
	movq	%r12, %rsi
	andq	$-16, %rdx
	subq	%rdx, %rsp
	movq	%rax, %rdx
	leaq	15(%rsp), %rdi
	andq	$-16, %rdi
	movb	$0, (%rdi,%rax)
	call	__GI_memcpy@PLT
	leaq	-64(%rbp), %rdi
	leaq	__gconv_alias_compare(%rip), %rdx
	leaq	__gconv_alias_db(%rip), %rsi
	movq	%rax, -64(%rbp)
	call	__GI___tfind
	testq	%rax, %rax
	movl	-72(%rbp), %r11d
	movq	-80(%rbp), %r9
	movq	-88(%rbp), %r8
	jne	.L82
	subq	%r12, %r14
	movslq	%r15d, %rax
	movl	$1, %edi
	leaq	56(%r8,%r14), %rsi
	movq	%r9, -88(%rbp)
	movl	%r11d, -80(%rbp)
	movq	%r8, -72(%rbp)
	addq	%rax, %rsi
	call	calloc@PLT
	testq	%rax, %rax
	movq	%rax, %r14
	je	.L82
	leaq	56(%rax), %rdi
	movq	-112(%rbp), %rdx
	movq	%r12, %rsi
	movq	%rdi, (%rax)
	call	__GI_mempcpy@PLT
	movq	%r13, %rdx
	movq	%rax, 8(%r14)
	movq	%rbx, %rsi
	subq	%rbx, %rdx
	movq	%rax, %rdi
	call	__GI_mempcpy@PLT
	movq	-72(%rbp), %r8
	movl	-80(%rbp), %r11d
	movl	-92(%rbp), %ecx
	movq	%rax, 24(%r14)
	movq	-88(%rbp), %r9
	testq	%r8, %r8
	movl	%r11d, 16(%r14)
	movl	%ecx, 20(%r14)
	je	.L98
	movq	%r8, %rdx
	movq	%r9, %rsi
	movq	%rax, %rdi
	call	__GI_mempcpy@PLT
.L98:
	movq	-104(%rbp), %rdx
	movq	%r13, %rsi
	movq	%rax, %rdi
	call	__GI_mempcpy@PLT
	testl	%r15d, %r15d
	je	.L99
	movl	$7303982, -1(%rax)
.L99:
	movl	$1, %esi
	movq	%r14, %rdi
	call	insert_module
	jmp	.L82
	.p2align 4,,10
	.p2align 3
.L150:
	movq	%rax, %rsi
	jmp	.L83
	.p2align 4,,10
	.p2align 3
.L156:
	movb	$0, (%rsi)
	leaq	-64(%rbp), %rsi
	movl	$10, %edx
	movq	%r15, %rdi
	movl	%ecx, -92(%rbp)
	movq	%r8, -88(%rbp)
	movq	%r9, -80(%rbp)
	movq	%r10, -72(%rbp)
	call	__GI_strtol
	cmpq	%r15, -64(%rbp)
	movl	%eax, %r11d
	movq	-72(%rbp), %r10
	movq	-80(%rbp), %r9
	movq	-88(%rbp), %r8
	movl	-92(%rbp), %ecx
	je	.L114
	testl	%eax, %eax
	jle	.L114
.L102:
	addq	$2, %r14
	jmp	.L101
	.p2align 4,,10
	.p2align 3
.L114:
	movl	$1, %r11d
	jmp	.L102
.L108:
	movq	%r13, %rsi
	jmp	.L93
	.size	add_module.isra.0, .-add_module.isra.0
	.p2align 4,,15
	.type	add_alias2.isra.1.part.2, @function
add_alias2.isra.1.part.2:
	pushq	%r13
	subq	%rdi, %rdx
	pushq	%r12
	pushq	%rbp
	pushq	%rbx
	movq	%rdi, %r12
	leaq	16(%rdx), %rdi
	movq	%rsi, %r13
	movq	%rdx, %rbp
	subq	$8, %rsp
	call	malloc@PLT
	testq	%rax, %rax
	je	.L158
	leaq	16(%rax), %rdi
	movq	%rax, %rbx
	movq	%rbp, %rdx
	movq	%r12, %rsi
	subq	%r12, %r13
	call	__GI_memcpy@PLT
	leaq	__gconv_alias_compare(%rip), %rdx
	movq	%rax, (%rbx)
	leaq	__gconv_alias_db(%rip), %rsi
	addq	%r13, %rax
	movq	%rbx, %rdi
	movq	%rax, 8(%rbx)
	call	__GI___tsearch
	testq	%rax, %rax
	je	.L161
	cmpq	(%rax), %rbx
	je	.L158
.L161:
	addq	$8, %rsp
	movq	%rbx, %rdi
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	jmp	free@PLT
	.p2align 4,,10
	.p2align 3
.L158:
	addq	$8, %rsp
	popq	%rbx
	popq	%rbp
	popq	%r12
	popq	%r13
	ret
	.size	add_alias2.isra.1.part.2, .-add_alias2.isra.1.part.2
	.section	.rodata.str1.1
.LC6:
	.string	"rce"
.LC7:
	.string	"alias"
.LC8:
	.string	"module"
	.text
	.p2align 4,,15
	.type	__gconv_read_conf, @function
__gconv_read_conf:
	pushq	%rbp
	movq	%rsp, %rbp
	pushq	%r15
	pushq	%r14
	pushq	%r13
	pushq	%r12
	pushq	%rbx
	subq	$104, %rsp
	movq	__libc_errno@gottpoff(%rip), %rax
	movl	%fs:(%rax), %ebx
	movl	%ebx, -116(%rbp)
	call	__gconv_load_cache
	testl	%eax, %eax
	jne	.L168
	movq	__libc_errno@gottpoff(%rip), %rax
	movl	%ebx, %fs:(%rax)
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	ret
.L168:
	call	__gconv_get_path
	movq	__gconv_path_elem@GOTPCREL(%rip), %rax
	leaq	-64(%rbp), %r12
	movq	(%rax), %rax
	movq	(%rax), %rdi
	testq	%rdi, %rdi
	movq	%rdi, -96(%rbp)
	je	.L170
	leaq	-64(%rbp), %r12
	movq	104+_nl_C_locobj(%rip), %r15
	movq	$16, -104(%rbp)
	movq	%r12, -88(%rbp)
	.p2align 4,,10
	.p2align 3
.L200:
	movq	8(%rax), %rdx
	movq	-96(%rbp), %rsi
	leaq	44(%rdx), %rax
	movq	%rdx, -112(%rbp)
	andq	$-16, %rax
	subq	%rax, %rsp
	leaq	15(%rsp), %rbx
	andq	$-16, %rbx
	movq	%rbx, %rdi
	call	__GI_mempcpy@PLT
	movabsq	$8029123697353646951, %rsi
	movl	$115, %edx
	movq	%rbx, %rdi
	movq	%rsi, (%rax)
	leaq	.LC6(%rip), %rsi
	movl	$1701606756, 8(%rax)
	movw	%dx, 12(%rax)
	call	_IO_new_fopen@PLT
	testq	%rax, %rax
	movq	%rax, %rbx
	movq	$0, -72(%rbp)
	movq	$0, -64(%rbp)
	je	.L174
	movl	(%rax), %eax
	leaq	-72(%rbp), %r13
	orb	$-128, %ah
	testb	$16, %al
	movl	%eax, (%rbx)
	jne	.L199
	.p2align 4,,10
	.p2align 3
.L198:
	movq	-88(%rbp), %rsi
	movq	%rbx, %rcx
	movl	$10, %edx
	movq	%r13, %rdi
	call	_IO_getdelim@PLT
	testq	%rax, %rax
	movq	%rax, %r14
	js	.L199
	movq	-72(%rbp), %r12
	movl	$35, %esi
	movq	%r12, %rdi
	call	__GI_strchr
	testq	%rax, %rax
	je	.L175
	movb	$0, (%rax)
	jmp	.L247
	.p2align 4,,10
	.p2align 3
.L176:
	addq	$1, %r12
.L247:
	movsbq	(%r12), %rdx
	testb	$32, 1(%r15,%rdx,2)
	jne	.L176
	cmpq	%r12, %rax
	je	.L180
	movsbq	(%r12), %rax
	testb	%al, %al
	je	.L180
	testb	$32, 1(%r15,%rax,2)
	jne	.L180
	movq	%r12, %r8
	jmp	.L184
	.p2align 4,,10
	.p2align 3
.L182:
	testb	$32, 1(%r15,%rax,2)
	jne	.L248
.L184:
	addq	$1, %r8
	movsbq	(%r8), %rax
	testb	%al, %al
	jne	.L182
.L248:
	movq	%r8, %rax
	subq	%r12, %rax
	cmpq	$5, %rax
	je	.L249
	cmpq	$6, %rax
	jne	.L180
	cmpl	$1969516397, (%r12)
	je	.L250
	.p2align 4,,10
	.p2align 3
.L180:
	movl	(%rbx), %eax
.L252:
	testb	$16, %al
	je	.L198
.L199:
	movq	-72(%rbp), %rdi
	call	free@PLT
	movq	%rbx, %rdi
	call	_IO_new_fclose@PLT
.L174:
	movq	__gconv_path_elem@GOTPCREL(%rip), %rsi
	movq	-104(%rbp), %rdi
	movq	(%rsi), %rax
	addq	%rdi, %rax
	addq	$16, %rdi
	movq	(%rax), %rcx
	movq	%rdi, -104(%rbp)
	testq	%rcx, %rcx
	movq	%rcx, -96(%rbp)
	jne	.L200
	movq	-88(%rbp), %r12
.L170:
	leaq	builtin_modules(%rip), %r14
	leaq	__gconv_alias_compare(%rip), %rbx
	leaq	672(%r14), %r13
	jmp	.L203
	.p2align 4,,10
	.p2align 3
.L202:
	addq	$56, %r14
	cmpq	%r14, %r13
	je	.L251
.L203:
	movq	(%r14), %rax
	leaq	__gconv_alias_db(%rip), %rsi
	movq	%rbx, %rdx
	movq	%r12, %rdi
	movq	%rax, -64(%rbp)
	call	__GI___tfind
	testq	%rax, %rax
	jne	.L202
	xorl	%esi, %esi
	movq	%r14, %rdi
	addq	$56, %r14
	call	insert_module
	cmpq	%r14, %r13
	jne	.L203
.L251:
	leaq	builtin_aliases(%rip), %r12
	.p2align 4,,10
	.p2align 3
.L205:
	xorl	%esi, %esi
	movq	%r12, %rdi
	call	__GI___rawmemchr
	leaq	1(%rax), %rbx
	xorl	%esi, %esi
	movq	%rbx, %rdi
	call	__GI___rawmemchr
	movq	%r12, %rdi
	movq	%rax, %r13
	leaq	1(%rax), %r14
	call	detect_conflict
	testl	%eax, %eax
	jne	.L204
	movq	%r14, %rdx
	movq	%rbx, %rsi
	movq	%r12, %rdi
	call	add_alias2.isra.1.part.2
.L204:
	cmpb	$0, 1(%r13)
	movq	%r14, %r12
	jne	.L205
	movl	-116(%rbp), %esi
	movq	__libc_errno@gottpoff(%rip), %rax
	movl	%esi, %fs:(%rax)
	leaq	-40(%rbp), %rsp
	popq	%rbx
	popq	%r12
	popq	%r13
	popq	%r14
	popq	%r15
	popq	%rbp
	ret
	.p2align 4,,10
	.p2align 3
.L250:
	cmpw	$25964, 4(%r12)
	jne	.L180
	movl	modcounter.11944(%rip), %ecx
	movq	-112(%rbp), %rdx
	movq	%r8, %rdi
	movq	-96(%rbp), %rsi
	leal	1(%rcx), %eax
	movl	%eax, modcounter.11944(%rip)
	call	add_module.isra.0
	movl	(%rbx), %eax
	jmp	.L252
	.p2align 4,,10
	.p2align 3
.L175:
	leaq	-1(%r12,%r14), %rdx
	cmpb	$10, (%rdx)
	jne	.L247
	movb	$0, (%rdx)
	jmp	.L247
	.p2align 4,,10
	.p2align 3
.L249:
	cmpl	$1634298977, (%r12)
	jne	.L180
	cmpb	$115, 4(%r12)
	jne	.L180
	movsbq	(%r8), %rax
	testb	$32, 1(%r15,%rax,2)
	movq	%rax, %rcx
	je	.L188
	.p2align 4,,10
	.p2align 3
.L189:
	addq	$1, %r8
	movsbq	(%r8), %rax
	testb	$32, 1(%r15,%rax,2)
	movq	%rax, %rcx
	jne	.L189
.L188:
	testb	%cl, %cl
	movq	%r8, %rdx
	jne	.L190
	jmp	.L180
	.p2align 4,,10
	.p2align 3
.L254:
	testb	$32, 1(%r15,%rax,2)
	jne	.L253
	movq	%rcx, %rdx
.L190:
	movq	120+_nl_C_locobj(%rip), %rsi
	leaq	1(%rdx), %rcx
	movl	(%rsi,%rax,4), %eax
	movb	%al, -1(%rcx)
	movsbq	1(%rdx), %rax
	testb	%al, %al
	jne	.L254
	jmp	.L180
.L253:
	movsbq	1(%rcx), %rax
	movb	$0, (%rcx)
	leaq	2(%rdx), %r12
	movq	%r12, %rdx
	testb	$32, 1(%r15,%rax,2)
	movq	%rax, %rcx
	je	.L193
	.p2align 4,,10
	.p2align 3
.L192:
	addq	$1, %rdx
	movsbq	(%rdx), %rax
	testb	$32, 1(%r15,%rax,2)
	movq	%rax, %rcx
	jne	.L192
.L193:
	testb	%cl, %cl
	movq	%r12, %rsi
	jne	.L195
	jmp	.L180
	.p2align 4,,10
	.p2align 3
.L255:
	testb	$32, 1(%r15,%rax,2)
	jne	.L194
	movq	%rcx, %rsi
.L195:
	movq	120+_nl_C_locobj(%rip), %rdi
	leaq	1(%rsi), %rcx
	addq	$1, %rdx
	movl	(%rdi,%rax,4), %eax
	movb	%al, -1(%rcx)
	movsbq	(%rdx), %rax
	testb	%al, %al
	jne	.L255
.L194:
	cmpq	%rcx, %r12
	movq	%rsi, -128(%rbp)
	je	.L180
	movq	%r8, %rdi
	movb	$0, (%rcx)
	movq	%r8, -136(%rbp)
	call	detect_conflict
	testl	%eax, %eax
	movq	-136(%rbp), %r8
	movq	-128(%rbp), %rsi
	jne	.L180
	leaq	2(%rsi), %rdx
	movq	%r8, %rdi
	movq	%r12, %rsi
	call	add_alias2.isra.1.part.2
	movl	(%rbx), %eax
	jmp	.L252
	.size	__gconv_read_conf, .-__gconv_read_conf
	.p2align 4,,15
	.globl	__gconv_load_conf
	.hidden	__gconv_load_conf
	.type	__gconv_load_conf, @function
__gconv_load_conf:
	movl	__libc_pthread_functions_init(%rip), %edx
	testl	%edx, %edx
	je	.L257
	movq	128+__libc_pthread_functions(%rip), %rax
	leaq	__gconv_read_conf(%rip), %rsi
	leaq	once(%rip), %rdi
#APP
# 619 "/root/wip/nyanglibc/fork/iconv/gconv_conf.c" 1
	ror $2*8+1, %rax
xor %fs:48, %rax
# 0 "" 2
#NO_APP
	jmp	*%rax
	.p2align 4,,10
	.p2align 3
.L257:
	movl	once(%rip), %eax
	testl	%eax, %eax
	je	.L263
	rep ret
	.p2align 4,,10
	.p2align 3
.L263:
	subq	$8, %rsp
	call	__gconv_read_conf
	orl	$2, once(%rip)
	addq	$8, %rsp
	ret
	.size	__gconv_load_conf, .-__gconv_load_conf
	.local	modcounter.11944
	.comm	modcounter.11944,4,4
	.section	.rodata.str1.16,"aMS",@progbits,1
	.align 16
	.type	__PRETTY_FUNCTION__.11964, @object
	.size	__PRETTY_FUNCTION__.11964, 17
__PRETTY_FUNCTION__.11964:
	.string	"__gconv_get_path"
	.section	__libc_subfreeres,"aw",@progbits
	.align 8
	.type	__elf_set___libc_subfreeres_element_free_mem__, @object
	.size	__elf_set___libc_subfreeres_element_free_mem__, 8
__elf_set___libc_subfreeres_element_free_mem__:
	.quad	free_mem
	.local	once
	.comm	once,4,4
	.hidden	__gconv_path_envvar
	.comm	__gconv_path_envvar,8,8
	.section	.rodata
	.align 32
	.type	builtin_aliases, @object
	.size	builtin_aliases, 999
builtin_aliases:
	.string	"UCS4//"
	.string	"ISO-10646/UCS4/"
	.string	"UCS-4//"
	.string	"ISO-10646/UCS4/"
	.string	"UCS-4BE//"
	.string	"ISO-10646/UCS4/"
	.string	"CSUCS4//"
	.string	"ISO-10646/UCS4/"
	.string	"ISO-10646//"
	.string	"ISO-10646/UCS4/"
	.string	"10646-1:1993//"
	.string	"ISO-10646/UCS4/"
	.string	"10646-1:1993/UCS4/"
	.string	"ISO-10646/UCS4/"
	.string	"OSF00010104//"
	.string	"ISO-10646/UCS4/"
	.string	"OSF00010105//"
	.string	"ISO-10646/UCS4/"
	.string	"OSF00010106//"
	.string	"ISO-10646/UCS4/"
	.string	"WCHAR_T//"
	.string	"INTERNAL"
	.string	"UTF8//"
	.string	"ISO-10646/UTF8/"
	.string	"UTF-8//"
	.string	"ISO-10646/UTF8/"
	.string	"ISO-IR-193//"
	.string	"ISO-10646/UTF8/"
	.string	"OSF05010001//"
	.string	"ISO-10646/UTF8/"
	.string	"ISO-10646/UTF-8/"
	.string	"ISO-10646/UTF8/"
	.string	"UCS2//"
	.string	"ISO-10646/UCS2/"
	.string	"UCS-2//"
	.string	"ISO-10646/UCS2/"
	.string	"OSF00010100//"
	.string	"ISO-10646/UCS2/"
	.string	"OSF00010101//"
	.string	"ISO-10646/UCS2/"
	.string	"OSF00010102//"
	.string	"ISO-10646/UCS2/"
	.string	"ANSI_X3.4//"
	.string	"ANSI_X3.4-1968//"
	.string	"ISO-IR-6//"
	.string	"ANSI_X3.4-1968//"
	.string	"ANSI_X3.4-1986//"
	.string	"ANSI_X3.4-1968//"
	.string	"ISO_646.IRV:1991//"
	.string	"ANSI_X3.4-1968//"
	.string	"ASCII//"
	.string	"ANSI_X3.4-1968//"
	.string	"ISO646-US//"
	.string	"ANSI_X3.4-1968//"
	.string	"US-ASCII//"
	.string	"ANSI_X3.4-1968//"
	.string	"US//"
	.string	"ANSI_X3.4-1968//"
	.string	"IBM367//"
	.string	"ANSI_X3.4-1968//"
	.string	"CP367//"
	.string	"ANSI_X3.4-1968//"
	.string	"CSASCII//"
	.string	"ANSI_X3.4-1968//"
	.string	"OSF00010020//"
	.string	"ANSI_X3.4-1968//"
	.string	"UNICODELITTLE//"
	.string	"ISO-10646/UCS2/"
	.string	"UCS-2LE//"
	.string	"ISO-10646/UCS2/"
	.string	"UCS-2BE//"
	.string	"UNICODEBIG//"
	.string	""
	.section	.rodata.str1.1
.LC9:
	.string	"INTERNAL"
.LC10:
	.string	"ISO-10646/UCS4/"
.LC11:
	.string	"=INTERNAL->ucs4"
.LC12:
	.string	"=ucs4->INTERNAL"
.LC13:
	.string	"UCS-4LE//"
.LC14:
	.string	"=INTERNAL->ucs4le"
.LC15:
	.string	"=ucs4le->INTERNAL"
.LC16:
	.string	"ISO-10646/UTF8/"
.LC17:
	.string	"=INTERNAL->utf8"
.LC18:
	.string	"=utf8->INTERNAL"
.LC19:
	.string	"ISO-10646/UCS2/"
.LC20:
	.string	"=ucs2->INTERNAL"
.LC21:
	.string	"=INTERNAL->ucs2"
.LC22:
	.string	"ANSI_X3.4-1968//"
.LC23:
	.string	"=ascii->INTERNAL"
.LC24:
	.string	"=INTERNAL->ascii"
.LC25:
	.string	"UNICODEBIG//"
.LC26:
	.string	"=ucs2reverse->INTERNAL"
.LC27:
	.string	"=INTERNAL->ucs2reverse"
	.section	.data.rel.local,"aw",@progbits
	.align 32
	.type	builtin_modules, @object
	.size	builtin_modules, 672
builtin_modules:
	.quad	.LC9
	.quad	.LC10
	.long	1
	.long	2147483647
	.quad	.LC11
	.zero	24
	.quad	.LC10
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC12
	.zero	24
	.quad	.LC9
	.quad	.LC13
	.long	1
	.long	2147483647
	.quad	.LC14
	.zero	24
	.quad	.LC13
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC15
	.zero	24
	.quad	.LC9
	.quad	.LC16
	.long	1
	.long	2147483647
	.quad	.LC17
	.zero	24
	.quad	.LC16
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC18
	.zero	24
	.quad	.LC19
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC20
	.zero	24
	.quad	.LC9
	.quad	.LC19
	.long	1
	.long	2147483647
	.quad	.LC21
	.zero	24
	.quad	.LC22
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC23
	.zero	24
	.quad	.LC9
	.quad	.LC22
	.long	1
	.long	2147483647
	.quad	.LC24
	.zero	24
	.quad	.LC25
	.quad	.LC9
	.long	1
	.long	2147483647
	.quad	.LC26
	.zero	24
	.quad	.LC9
	.quad	.LC25
	.long	1
	.long	2147483647
	.quad	.LC27
	.zero	24
	.section	.rodata.cst16,"aM",@progbits,16
	.align 16
	.type	empty_path_elem, @object
	.size	empty_path_elem, 16
empty_path_elem:
	.zero	16
	.comm	__gconv_max_path_elem_len,8,8
	.comm	__gconv_path_elem,8,8
	.globl	default_gconv_path_bytes_n
	.data
	.align 8
	.type	default_gconv_path_bytes_n, @object
	.size	default_gconv_path_bytes_n, 8
default_gconv_path_bytes_n:
	.quad	CONF_DEFAULT_GCONV_PATH_STR_BYTES_N
	.globl	default_gconv_path
	.align 32
	.type	default_gconv_path, @object
	.size	default_gconv_path, CONF_DEFAULT_GCONV_PATH_STR_BYTES_N
default_gconv_path:
	.string	"CONF_DEFAULT_GCONV_PATH_STR"
	.hidden	__libc_pthread_functions
	.hidden	__libc_pthread_functions_init
	.hidden	__gconv_load_cache
	.hidden	__gconv_alias_db
	.hidden	__gconv_alias_compare
	.hidden	_nl_C_locobj
	.hidden	__gconv_modules_db
